Package serp.bytecode.lowlevel

# Class InvokeDynamicEntry

java.lang.Object
serp.bytecode.lowlevel.Entry
serp.bytecode.lowlevel.InvokeDynamicEntry

All Implemented Interfaces:
  `VisitAcceptor`

public class InvokeDynamicEntry extends Entry
InvokeDynamic u1 tag u2 bootstrap_method_attr_index // References entry in Bootstrap Methods table u2 name_and_type_index // References NameAndTypeEntry representing method name and descriptor

## Field Summary

### Fields inherited from class serp.bytecode.lowlevel.Entry

`CLASS, DOUBLE, FIELD, FLOAT, INT, INTERFACEMETHOD, INVOKEDYNAMIC, LONG, METHOD, METHODHANDLE, METHODTYPE, NAMEANDTYPE, STRING, UTF8`

## Constructor Summary

Constructors
Constructor
Description
`InvokeDynamicEntry()`
`InvokeDynamicEntry(int bootstrap_method_attr_index, int nameAndTypeIndex)`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptVisit(BCVisitor visitor)`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.
`int`
`getBootstrapMethodAttrIndex()`
`NameAndTypeEntry`
`getNameAndTypeEntry()`
Return the referenced `NameAndTypeEntry`.
`int`
`getNameAndTypeIndex()`
Return the constant pool index of the `NameAndTypeEntry` describing this entity.
`int`
`getType()`
Return the type code for this entry type.

### Methods inherited from class serp.bytecode.lowlevel.Entry

`create, getIndex, getPool, isWide, read, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvokeDynamicEntry

public InvokeDynamicEntry()

### InvokeDynamicEntry

public InvokeDynamicEntry(int bootstrap_method_attr_index, int nameAndTypeIndex)

## Method Details

### acceptVisit

public void acceptVisit(BCVisitor visitor)
Description copied from interface: `VisitAcceptor`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.

### getType

public int getType()
Description copied from class: `Entry`
Return the type code for this entry type.

Specified by:
  `getType` in class `Entry`

### getBootstrapMethodAttrIndex

public int getBootstrapMethodAttrIndex()

### getNameAndTypeIndex

public int getNameAndTypeIndex()
Return the constant pool index of the `NameAndTypeEntry` describing this entity.

### getNameAndTypeEntry

public NameAndTypeEntry getNameAndTypeEntry()
Return the referenced `NameAndTypeEntry`. This method can only be run for entries that have been added to a constant pool.